<script>
  // Properties
  const continents = ["europe", "asia", "americas", "africa"];
  export let selectedContinent = null;
  export let year = 0;
  const yoffset = 1800;

  $: playing = false;
  
  let mi = 0;

  function handleContClick(event) {
    var e = document.getElementById("Continent");
	  var result = e.options[e.selectedIndex].value;
    if (result >= 0) {
      selectedContinent = continents[result];
    } else {
      selectedContinent = null;
    }
  }

  function increaseYear() {
    // document.getElementById("slider").value = year + yoffset;
    if ((year + 1800) == 2014) {
      clearInterval(mi)
      playing = false;
    } else {
      year += 1;
    }
  }

  function handleClickB1(event) {
    if (playing) {
      clearInterval(mi);
      playing = false;
    } else {
      mi = setInterval(increaseYear, 50);
      playing = true;
    }
  }

  function handleClickB2(event) {
    playing = false;
    year = 0;
  }
</script>

<div class="row">
  <select id="Continent" on:change={handleContClick}>
      <option value="-1">-- All Continents --</option>
    {#each continents as c, i}
      <option value="{i}">{c}</option>
    {/each}
  </select>
  <button type="button" class="btn btn-primary" on:click={handleClickB1}>
    {playing? "Pause" : "Play"}
  </button>
  <button type="button" class="btn btn-secondary" on:click={handleClickB2}>
    Reset
  </button>
  <input id="slider" type="range" min="1800" max="2014" step="1"  value="{year + yoffset}">
  <center>{year+yoffset}</center>
  <output id="output"></output>
</div>
